namespace MyOffice.Web.Models.Account;

using System.ComponentModel.DataAnnotations;
using AutoMapper;
using MyOffice.Services.Account.Domain;

public class AccountCategoryViewModel: IResponseModel
{
	public string? Id { get; set; }

	[Required]
	public string? Name { get; set; }

	public bool? AllowDelete { get; set; }
}

public class AccountCategoryViewModelProfile: Profile
{
	public AccountCategoryViewModelProfile()
	{
		CreateMap<AccountAccountCategoryDto, AccountCategoryViewModel>()
			.ForMember(x => x.Id, o => o.MapFrom(x => x.CategoryId))
			.ForMember(x => x.Name, o => o.MapFrom(x => x.Category!.Name))
			;
		CreateMap<AccountCategoryDto, AccountCategoryViewModel>()
			.ForMember(x => x.Id, o => o.MapFrom(x => x.Id))
			.ForMember(x => x.Name, o => o.MapFrom(x => x.Name))
			;
	}
}